package cards.maumau.model;

import cards.Card;
import cards.Suit;

public class Initialized implements HandlerState {

    private final ActionHandler handler;

    Initialized(ActionHandler handler) {
        this.handler = handler;
    }
    
    public void addPlayer(Player player) {
        handler.getGame().getPlayerHandler().addPlayer(player);
    }

    
    public void startGame() {
        try {
            handler.getGame().getCardHandler().dealCards();
            handler.setGameState(GameState.PLAY);
            handler.setHandlerState(new Normal(handler));
        } catch (Exception e) {
            System.err.println("Not enough Cards!");
            handler.setGameState(GameState.GAME_CANCELED);
            handler.setHandlerState(new Canceled(handler));
        }
    }

    public void finishGame(){}
    public void cancelGame(){}
    public void chooseCard(Card c){}
    public void chooseSuit(Suit suit){}
    public void skip(){}
    public void no7(){}
}
